> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 어노테이션 큐 생성

> 새 annotation 큐를 생성합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /annotation_queues
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues:
    post:
      tags:
        - Annotation Queues
      summary: 어노테이션 큐 생성
      description: 새 annotation 큐를 생성합니다.
      operationId: annotation_queue_create_annotation_queues_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueueCreateReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueueCreateRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueueCreateReq:
      additionalProperties: false
      description: 새 annotation queue를 생성하기 위한 요청입니다.
      properties:
        description:
          default: ''
          examples:
            - Review calls with exceptions
          title: Description
          type: string
        name:
          examples:
            - Error Review Queue
          title: Name
          type: string
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
        scorer_refs:
          examples:
            - - weave:///entity/project/scorer/error_severity:abc123
              - weave:///entity/project/scorer/resolution_quality:def456
          items:
            type: string
          title: Scorer Refs
          type: array
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 직접 설정하지 마세요. 서버가 이 필드를 자동으로 채웁니다.
          title: Wb User Id
      required:
        - project_id
        - name
        - scorer_refs
      title: AnnotationQueueCreateReq
      type: object
    AnnotationQueueCreateRes:
      description: annotation queue 생성에 대한 응답입니다.
      properties:
        id:
          title: Id
          type: string
      required:
        - id
      title: AnnotationQueueCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````